Package org.opensaml.xacml.ctx.impl

# Class AttributeTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.AttributeTypeImpl

All Implemented Interfaces:
  `XMLObject`, `AttributeType`, `XACMLObject`

public class AttributeTypeImpl extends AbstractXACMLObject implements AttributeType
Concrete implementation of `AttributeType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeID`
AttributeID of the attribute.
`private final XMLObjectChildrenList<AttributeValueType>`
`attributeValues`
List of values for this attribute.
`private String`
`datatype`
Datatype of the attribute.
`private String`
`issuer`
Issuer of the attribute.

### Fields inherited from interface org.opensaml.xacml.ctx.AttributeType

`ATTRIBUTEID_ATTTRIB_NAME, DATATYPE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ISSUER_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
gets the AttributeId.
`List<AttributeValueType>`
`getAttributeValues()`
Gets the list of attribute values for this attribute.
`String`
`getDataType()`
Get the datatype of the attribute.
`String`
`getIssuer()`
Gets the issuer of the attribute.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setAttributeID(String attributeId)`
Sets the AttributeId.
`void`
`setDataType(String type)`
Sets the datatype of the attribute.
`void`
`setIssuer(String iss)`
Sets the issuer of the attribute.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### issuer

private String issuer
Issuer of the attribute.

### attributeID

private String attributeID
AttributeID of the attribute.

### datatype

private String datatype
Datatype of the attribute.

### attributeValues

private final XMLObjectChildrenList<AttributeValueType> attributeValues
List of values for this attribute.

## Constructor Details

### AttributeTypeImpl

protected AttributeTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeId

public String getAttributeId()
gets the AttributeId.

Specified by:
  `getAttributeId` in interface `AttributeType`
Returns:
  the AttributeId

### getDataType

public String getDataType()
Get the datatype of the attribute.

Specified by:
  `getDataType` in interface `AttributeType`
Returns:
  the datatype

### getIssuer

public String getIssuer()
Gets the issuer of the attribute.

Specified by:
  `getIssuer` in interface `AttributeType`
Returns:
  the value of Issuer

### setAttributeID

public void setAttributeID(String attributeId)
Sets the AttributeId.

Specified by:
  `setAttributeID` in interface `AttributeType`
Parameters:
  `attributeId` - is the wanted AttributeId

### setDataType

public void setDataType(String type)
Sets the datatype of the attribute.

Specified by:
  `setDataType` in interface `AttributeType`
Parameters:
  `type` - is the wanted datatype

### setIssuer

public void setIssuer(String iss)
Sets the issuer of the attribute.

Specified by:
  `setIssuer` in interface `AttributeType`
Parameters:
  `iss` - is the issuer of the attribute

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getAttributeValues

public List<AttributeValueType> getAttributeValues()
Gets the list of attribute values for this attribute.

Specified by:
  `getAttributeValues` in interface `AttributeType`
Returns:
  the list of values for this attribute